<?php
/*
Plugin Name:  Initial WP plugin
Plugin URI:   https://www.webprofessionalsglobal.org
Description:  Example simple plugin.
Version:      1.0
Author:       Mark DuBois
Author URI:   https://www.webprofessionalsglobal.org
License:      GPL2
License URI:  https://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  wpg-tutorial
Domain Path:  /languages

Based on example provided by https://www.wpbeginner.com/wp-tutorials/how-to-create-a-wordpress-plugin/
*/

function wpg_follow_us($content) {
 
    // Only do this when a single post is displayed
    // see https://developer.wordpress.org/reference/functions/is_single/ for more details
    // see also https://developer.wordpress.org/reference/functions/is_page/ for single page
    // 
    if ( is_single() ) { 
     
    // Message you want to display after the post
    // Add URLs to your own X (formerly Twitter) profile
     
    $content .= '<p class="follow-us">If you liked this article, then please follow us on <a href="http://twitter.com/webproglobal" title="Web Professionals Global on X (formerly Twitter)" target="_blank" rel="nofollow">X (formerly Twitter)</a> .</p>';
     
    }
    // Return the content
    return $content; 
     
    }
    // Hook our function to WordPress the_content filter
    add_filter('the_content', 'wpg_follow_us'); 